javax.persistence

## Enum SynchronizationType

- java.lang.Object
- - java.lang.Enum<SynchronizationType>
  - - javax.persistence.SynchronizationType

- All Implemented Interfaces:
    Serializable, Comparable<SynchronizationType>

      public enum SynchronizationType
      extends Enum<SynchronizationType>

  Specifies whether the persistence context is always automatically synchronized with the current transaction or whether the persistence context must be explicitly joined to the current transaction by means of the `EntityManager.joinTransaction()` method.
  Since:
    Java Persistence 2.1

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `SYNCHRONIZED` Persistence context is automatically synchronized with the current transaction
    `UNSYNCHRONIZED` Persistence context must be explicitly joined to the current transaction

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SynchronizationType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SynchronizationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SYNCHRONIZED

          public static final SynchronizationType SYNCHRONIZED

      Persistence context is automatically synchronized with the current transaction

    - #### UNSYNCHRONIZED

          public static final SynchronizationType UNSYNCHRONIZED

      Persistence context must be explicitly joined to the current transaction

  - ### Method Detail

    - #### values

          public static SynchronizationType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SynchronizationType c : SynchronizationType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SynchronizationType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.